package com.dayou.service;
import com.dayou.dto.ItemDTO;
import com.dayou.dto.ItemStateUpdateDTO;
import com.dayou.entity.Item;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.vo.ItemStatVO;
import com.dayou.vo.ItemVO;

import java.util.List;

/**
 * <p>
 * 项目信息表 服务类
 * </p>
 *
 * @author wucl
 * @since 2022-12-08
 */
public interface IItemService extends IService<Item> {

        Page<ItemVO> selectPage(Page page, ItemDTO item);

        ItemVO detail(Long id);

        Long add(ItemDTO itemDTO);

        Boolean update(ItemDTO itemDTO);

        Boolean delete(Long id);

        ItemStatVO stat();

        Page<ItemVO> xSelectPage(Page page, ItemDTO item);

        String getItemState(Long id);

        List<ItemVO> xList(ItemDTO item);

        List<ItemVO> xMineList(ItemDTO item);


    Boolean changManager(ItemDTO itemDTO);

    List<ItemVO> getCompletedNotEvaluateItem();

        Boolean updateState(ItemStateUpdateDTO updateDTO);
}
